Botan 1.10.17

get_pbe.h
Go to the documentation of this file.
1 /*
2 * PBE Lookup
3 * (C) 1999-2007 Jack Lloyd
4 *
5 * Distributed under the terms of the Botan license
6 */
7
8 #ifndef BOTAN_LOOKUP_PBE_H__
9 #define BOTAN_LOOKUP_PBE_H__
10
11 #include <botan/pbe.h>
12 #include <string>
13
14 namespace Botan {
15
16 /**
17 * Factory function for PBEs.
18 * @param algo_spec the name of the PBE algorithm to retrieve
19 * @return pointer to a PBE with randomly created parameters
20 */
21 BOTAN_DLL PBE* get_pbe(const std::string& algo_spec);
22
23 /**
24 * Factory function for PBEs.
25 * @param pbe_oid the oid of the desired PBE
26 * @param params a DataSource providing the DER encoded parameters to use
27 * @return pointer to the PBE with the specified parameters
28 */
29 BOTAN_DLL PBE* get_pbe(const OID& pbe_oid,
30 DataSource& params);
31
32 }
33
34 #endif
Botan
Definition: algo_base.h:14
Botan::get_pbe
PBE * get_pbe(const std::string &algo_spec)
Definition: get_pbe.cpp:27